/******************************************************
* E_DEVMIFARE.H
******************************************************
*
*
*
*
*
* Copyright Patrice SEPULCRE 2008-2016
*****************************************************/

#ifndef __E_DEVMIFARE_H
#define __E_DEVMIFARE_H

#ifdef __cplusplus
#define EXTERN  extern "C"
#else
#define EXTERN  extern
#endif

///////////////////////////////////////////////////////
//  FONCTIONS EXPORTEES
///////////////////////////////////////////////////////
EXTERN int WINAPI DevMifare_write				(DWORD va_address_dw, BYTE *va_write_uc_p, int *va_write_i_p);
EXTERN int WINAPI DevMifare_read				(DWORD va_address_dw, BYTE *va_read_uc_p, int *va_read_i_p);
EXTERN int WINAPI DevMifare_format				(BYTE *va_newKeyA_uc_p);
EXTERN int WINAPI DevMifare_verifyKey			(int va_keyType_i, BYTE *va_key_uc_p);
EXTERN int WINAPI DevMifare_isPresent			(int *va_memorySize_i_p);
EXTERN int WINAPI DevMifare_setProductKey		(char *va_id_c_p, char *va_key_c_p);
EXTERN int WINAPI DevMifare_free				(void);

#endif